edu.isi.pegasus.planner.invocation

## Class Descriptor

- java.lang.Object
- - org.griphyn.vdl.Chimera
  - - edu.isi.pegasus.planner.invocation.Invocation
    - - edu.isi.pegasus.planner.invocation.File
      - - edu.isi.pegasus.planner.invocation.Descriptor

All Implemented Interfaces:
  HasDescriptor, HasText, java.io.Serializable

    public class Descriptor
    extends File
    implements HasDescriptor

This class is the container for a file descriptor object. A file descriptor object contains just the descriptor number.

Version:
  $Revision$
Author:
  Jens-S. Vöckler, Yong Zhao
See Also:
  Serialized Form

### Field Summary

Fields
`private int` `m_descriptor` Descriptor of the file.

### Fields inherited from class edu.isi.pegasus.planner.invocation.File

`m_hexbyte`

### Constructor Summary

Constructors
Constructor and Description
`Descriptor()` Default c'tor: Construct a hollow shell and allow further information to be added later.
`Descriptor(int descriptor)` Constructs a file descriptor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDescriptor()` Accessor
`void` `setDescriptor(int descriptor)` Accessor.
`void` `toXML(java.io.Writer stream, java.lang.String indent, java.lang.String namespace)` Dump the state of the current element as XML output.

### Methods inherited from class edu.isi.pegasus.planner.invocation.File

`appendValue, getValue, setValue, toString`

### Methods inherited from class org.griphyn.vdl.Chimera

`escape, quote, toString, toXML, toXML, writeAttribute`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_descriptor

    private int m_descriptor

Descriptor of the file.

### Constructor Detail

#### Descriptor

    public Descriptor()

Default c'tor: Construct a hollow shell and allow further information to be added later.

#### Descriptor

    public Descriptor(int descriptor)

Constructs a file descriptor.

Parameters:
  `descriptor` - is a valid file descriptor number.

### Method Detail

#### getDescriptor

    public int getDescriptor()

Accessor

Specified by:
  `getDescriptor` in interface `HasDescriptor`
Returns:
  the descriptor number, or -1 for none.
See Also:
  `setDescriptor(int)`

#### setDescriptor

    public void setDescriptor(int descriptor)

Accessor.

Specified by:
  `setDescriptor` in interface `HasDescriptor`
Parameters:
  `descriptor` -
See Also:
  `getDescriptor()`

#### toXML

    public void toXML(java.io.Writer stream,
                      java.lang.String indent,
                      java.lang.String namespace)
               throws java.io.IOException

Dump the state of the current element as XML output. This function traverses all sibling classes as necessary, and converts the data into pretty-printed XML output. The stream interface should be able to handle large output efficiently.

Specified by:
  `toXML` in class `org.griphyn.vdl.Chimera`
Parameters:
  `stream` - is a stream opened and ready for writing. This can also be a string stream for efficient output.
  `indent` - is a `String` of spaces used for pretty printing. The initial amount of spaces should be an empty string. The parameter is used internally for the recursive traversal. If a `null` value is specified, no indentation nor linefeeds will be generated.
  `namespace` - is the XML schema namespace prefix. If neither empty nor null, each element will be prefixed with this prefix, and the root element will map the XML namespace.
Throws:
  `java.io.IOException` - if something fishy happens to the stream.
See Also:
  `BufferedWriter`